[Setup]
AppName=FX-Repton
AppVerName=FX-Repton 0.7
AppPublisher=Sigala Consulting
AppPublisherURL=http://www.sigala.it/sandro
AppSupportURL=http://www.sigala.it/sandro
AppUpdatesURL=http://www.sigala.it/sandro
DefaultDirName={pf}\Sigala Consulting\FX-Repton
DefaultGroupName=Sigala Consulting
LicenseFile=C:\Progetti\fxrepton\COPYING
Compression=zip/9
OutputBaseFilename=fxrept07
OutputDir=C:\Progetti\dist

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; MinVersion: 4,4

[Files]
Source: "C:\Progetti\fxrepton\fxrepton.exe"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\fxreptoned.exe"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\COPYING"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\Changes.txt"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\wav\*"; DestDir: "{app}\wav"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\doc\*"; DestDir: "{app}\doc"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\africa\*"; DestDir: "{app}\episodes\africa"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\america\*"; DestDir: "{app}\episodes\america"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\arctic\*"; DestDir: "{app}\episodes\arctic"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\baby\*"; DestDir: "{app}\episodes\baby"; CopyMode: alwaysoverwrite
;Source: "C:\Progetti\fxrepton\episodes\babyj\*"; DestDir: "{app}\episodes\babyj"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\debug\*"; DestDir: "{app}\episodes\debug"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\egypt\*"; DestDir: "{app}\episodes\egypt"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\finale\*"; DestDir: "{app}\episodes\finale"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\finale-e\*"; DestDir: "{app}\episodes\finale-e"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\future\*"; DestDir: "{app}\episodes\future"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\now\*"; DestDir: "{app}\episodes\now"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\oap\*"; DestDir: "{app}\episodes\oap"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\oceans\*"; DestDir: "{app}\episodes\oceans"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\orient\*"; DestDir: "{app}\episodes\orient"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\pirates\*"; DestDir: "{app}\episodes\pirates"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\prehistory\*"; DestDir: "{app}\episodes\prehistory"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\prelude\*"; DestDir: "{app}\episodes\prelude"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\prelude-e\*"; DestDir: "{app}\episodes\prelude-e"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\school\*"; DestDir: "{app}\episodes\school"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\teens\*"; DestDir: "{app}\episodes\teens"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\toccata\*"; DestDir: "{app}\episodes\toccata"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\toccata-e\*"; DestDir: "{app}\episodes\toccata-e"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\victoria\*"; DestDir: "{app}\episodes\victoria"; CopyMode: alwaysoverwrite
Source: "C:\Progetti\fxrepton\episodes\work\*"; DestDir: "{app}\episodes\work"; CopyMode: alwaysoverwrite

[Icons]
Name: "{group}\FX-Repton"; Filename: "{app}\fxrepton.exe"; WorkingDir: "{app}"
Name: "{group}\FX-Repton Editor"; Filename: "{app}\fxreptoned.exe"; WorkingDir: "{app}"
Name: "{group}\FX-Repton Documentation"; Filename: "{app}\doc\fxrepton.html"
Name: "{group}\FX-Repton Editor Documentation"; Filename: "{app}\doc\fxreptoned.html"
Name: "{userdesktop}\FX-Repton"; Filename: "{app}\fxrepton.exe"; WorkingDir: "{app}"; MinVersion: 4,4; Tasks: desktopicon
Name: "{userdesktop}\FX-Repton Editor"; Filename: "{app}\fxreptoned.exe"; WorkingDir: "{app}"; MinVersion: 4,4; Tasks: desktopicon

[Run]
Filename: "{app}\fxrepton.exe"; Description: "Launch FX-Repton"; Flags: nowait postinstall skipifsilent

[Registry]
Root: HKCU; Subkey: "Software\Sigala Consulting"; Flags: uninsdeletekeyifempty
Root: HKCU; Subkey: "Software\Sigala Consulting\FX-Repton"; Flags: uninsdeletekey

